Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfSpeedType

    java.lang.Object
      java.lang.Enum<OdfSpeedType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfSpeedType

All Implemented Interfaces:
  Serializable, Comparable<OdfSpeedType>

    public enum OdfSpeedType

extends Enum<OdfSpeedType>

DOM implementation of OpenDocument attribute presentation:speed.

Enum Constant Summary
`FAST`
`MEDIUM`
`SLOW`

Method Summary
`static OdfSpeedType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfSpeedType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfSpeedType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSpeedType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MEDIUM

    public static final OdfSpeedType MEDIUM

### FAST

    public static final OdfSpeedType FAST

### SLOW

    public static final OdfSpeedType SLOW

Method Detail

### values

    public static OdfSpeedType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSpeedType c : OdfSpeedType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSpeedType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfSpeedType>`
  Returns:
    return the name of OdfSpeedType

### toString

    public static String toString(OdfSpeedType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfSpeedType, see presentation:speed
  Returns:
    return the name of OdfSpeedType

### enumValueOf

    public static OdfSpeedType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfSpeedType
  Returns:
    return the constant of OdfSpeedType, see presentation:speed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.